# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/IniFiles.pm) perl(DBIx/Array.pm) perl(ExtUtils/MakeMaker.pm) perl(Package/New.pm) perl(Path/Class.pm) perl(Sys/Path.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name DBIx-Array-Connect
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Database Connections from an INI Configuration File
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MR/MRDVT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Provides an easy way to construct database objects and connect to databases while providing an easy way to centralize management of database connection strings.

This package reads database connection information from an INI formatted configuration file and returns a connected database object.

This module is used to connect to both Oracle 10g and 11g using the DBD::Oracle manpage on both Linux and Win32, MySQL 4 and 5 using the DBD::mysql manpage on Linux, and Microsoft SQL Server using the DBD::Sybase manpage on Linux and using the DBD::ODBC manpage on Win32 systems in a 24x7 production environment.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Todo Changes
%perl_vendor_privlib/D*

%changelog
* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

